Contenu | Rechercher | Menus

Annonce

L'équipe des administrateurs et modérateurs du forum vous invite à prendre connaissance des nouvelles règles.
En cas de besoin, vous pouvez intervenir dans cette discussion.

Ubuntu 18.04 LTS
Ubuntu-fr propose des clés USB de Ubuntu et toutes ses « saveurs » ainsi qu'un magnifique t-shirt pour cette toute nouvelle version d'Ubuntu !

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

À propos de l'équipe du forum.

#1 Le 21/02/2018, à 02:14

manukatche

Remplacer pilote libre par pilote propriétaire ( carte graphique )

Bonjour,

Mon PC : carte mère Asus P5QL pro , carte graphique Radeon HD 6450 1 GB , 4 Go de RAM , processeur Intel® Core™2 Duo CPU E8400 @ 3.00GHz × 2 et Ubuntu 14.04 LTS 32 bits.

Je viens de faire une MàJ de l'OS et j'ai la très désagréable surprise de constater que mon pilote Catalyst a été remplacé par un pilote libre mad mad mad

Conséquences : résolution inadaptée et qualité graphique de mes jeux Steam très médiocre ( désolé pour ceux qui se sont cassé le cul à programmer ce pilote mais sincèrement il ne me convient pas du tout ). Le truc qui m’embête à présent c'est que je n'arrive plus à réinstaller le pilote propriétaire.

J'utilise ces 2 commandes pour installer le pilote Catalyst :

sudo apt-get install fglrx

et

sudo amdconfig --initial

.

La première commande me renvoit l'erreur suivante :

therence@therence-P5QL-PRO:~$ sudo apt-get install fglrx
[sudo] password for therence: 
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Certains paquets ne peuvent être installés. Ceci peut signifier
que vous avez demandé l'impossible, ou bien, si vous utilisez
la distribution unstable, que certains paquets n'ont pas encore
été créés ou ne sont pas sortis d'Incoming.
L'information suivante devrait vous aider à résoudre la situation : 

Les paquets suivants contiennent des dépendances non satisfaites :
 unity-control-center : Dépend: libcheese-gtk23 (>= 3.4.0) mais ne sera pas installé
                        Dépend: libcheese7 (>= 3.0.1) mais ne sera pas installé
E: Erreur, pkgProblem::Resolve a généré des ruptures, ce qui a pu être causé par les paquets devant être gardés en l'état.

Je suppose que le pilote libre m'empêche de réinstaller le pilote Catalyst. Pourriez vous svp venir à mon secours ( encore roll ) afin de remplacer le pilote libre libre par le pilote Catalyst ?

Merci beaucoup smile

PS : pourriez vous m'indiquer la procédure à suivre pour empêcher la MàJ du pilote graphique à l'avenir svp?

Dernière modification par manukatche (Le 21/02/2018, à 02:22)

Hors ligne

#2 Le 21/02/2018, à 11:00

michel_04

Re : Remplacer pilote libre par pilote propriétaire ( carte graphique )

Bonjour,

Regarde la page Catalyst dans la documentation.

A+

Hors ligne

#3 Le 21/02/2018, à 13:23

manukatche

Re : Remplacer pilote libre par pilote propriétaire ( carte graphique )

Bonjour

Merci pour ta réponse Michel j'ai déjà essayé le pilote catalyst est bien dans la liste des pilotes additionnels mais lorsque je le séléctionne le point se remet immédiatement sur le pilote X-org.
Le pilote catalyst a disparu de ma liste de logiciels.
Le pilote fourni par le dépôt graphique ne fonctionne pas.
La seule méthode qui fonctionne est les 2 commandes citées plus haut. Enfin , jusqu'à maintenant...

Hors ligne

#4 Le 21/02/2018, à 13:31

michel_04

Re : Remplacer pilote libre par pilote propriétaire ( carte graphique )

Re,

Sous Trusty tu devrais pouvoir utiliser fglrx.
L'erreur que tu as donné dans ton message n'a rien à voir avec le paquet fglrx.
Donne les retours de :

sudo apt-get update
sudo apt-get dist-upgrade

A+

Hors ligne

#5 Le 21/02/2018, à 23:30

manukatche

Re : Remplacer pilote libre par pilote propriétaire ( carte graphique )

Voici le retour des commandes :

therence@therence-P5QL-PRO:~$ sudo apt-get update
[sudo] password for therence: 
Ign http://ch.archive.ubuntu.com trusty InRelease
Ign http://extras.ubuntu.com trusty InRelease                                  
Ign http://archive.canonical.com trusty InRelease                              
Réception de : 1 http://ch.archive.ubuntu.com trusty-updates InRelease [65.9 kB]
Atteint http://ppa.launchpad.net trusty InRelease                              
Atteint http://archive.canonical.com trusty Release.gpg                        
Réception de : 2 http://security.ubuntu.com trusty-security InRelease [65.9 kB]
Atteint http://archive.canonical.com trusty Release                            
Atteint http://ppa.launchpad.net trusty InRelease                              
Réception de : 3 http://extras.ubuntu.com trusty Release.gpg [72 B]            
Atteint http://ch.archive.ubuntu.com trusty-backports InRelease                
Atteint http://extras.ubuntu.com trusty Release                                
Atteint http://ch.archive.ubuntu.com trusty Release.gpg                        
Réception de : 4 http://security.ubuntu.com trusty-security/main Sources [151 kB]
Atteint http://archive.canonical.com trusty/partner Sources                    
Atteint http://ppa.launchpad.net trusty/main i386 Packages                     
Atteint http://extras.ubuntu.com trusty/main Sources                           
Réception de : 5 http://ch.archive.ubuntu.com trusty-updates/main Sources [411 kB]
Atteint http://archive.canonical.com trusty/partner i386 Packages              
Atteint http://extras.ubuntu.com trusty/main i386 Packages                     
Atteint http://archive.canonical.com trusty/partner Translation-en             
Atteint http://ppa.launchpad.net trusty/main Translation-en                    
Réception de : 6 http://security.ubuntu.com trusty-security/restricted Sources [4'931 B]
Atteint http://ppa.launchpad.net trusty/main i386 Packages                     
Réception de : 7 http://security.ubuntu.com trusty-security/universe Sources [69.3 kB]
Atteint http://ppa.launchpad.net trusty/main Translation-en                    
Réception de : 8 http://security.ubuntu.com trusty-security/multiverse Sources [3'200 B]
Réception de : 9 http://ch.archive.ubuntu.com trusty-updates/restricted Sources [6'322 B]
Réception de : 10 http://ch.archive.ubuntu.com trusty-updates/universe Sources [198 kB]
Réception de : 11 http://security.ubuntu.com trusty-security/main i386 Packages [664 kB]
Réception de : 12 http://security.ubuntu.com trusty-security/restricted i386 Packages [13.9 kB]
Réception de : 13 http://ch.archive.ubuntu.com trusty-updates/multiverse Sources [7'377 B]
Réception de : 14 http://ch.archive.ubuntu.com trusty-updates/main i386 Packages [998 kB]
Réception de : 15 http://security.ubuntu.com trusty-security/universe i386 Packages [205 kB]
Ign http://extras.ubuntu.com trusty/main Translation-fr_FR                     
Ign http://extras.ubuntu.com trusty/main Translation-fr                        
Réception de : 16 http://security.ubuntu.com trusty-security/multiverse i386 Packages [4'945 B]
Ign http://extras.ubuntu.com trusty/main Translation-en_GB                     
Réception de : 17 http://security.ubuntu.com trusty-security/main Translation-en [387 kB]
Ign http://extras.ubuntu.com trusty/main Translation-en                        
Réception de : 18 http://security.ubuntu.com trusty-security/multiverse Translation-en [2'564 B]
Réception de : 19 http://security.ubuntu.com trusty-security/restricted Translation-en [3'546 B]
Réception de : 20 http://ch.archive.ubuntu.com trusty-updates/restricted i386 Packages [17.1 kB]
Réception de : 21 http://security.ubuntu.com trusty-security/universe Translation-en [118 kB]
Réception de : 22 http://ch.archive.ubuntu.com trusty-updates/universe i386 Packages [441 kB]
Réception de : 23 http://ch.archive.ubuntu.com trusty-updates/multiverse i386 Packages [15.0 kB]
Réception de : 24 http://ch.archive.ubuntu.com trusty-updates/main Translation-en [522 kB]
Réception de : 25 http://ch.archive.ubuntu.com trusty-updates/multiverse Translation-en [7'616 B]
Réception de : 26 http://ch.archive.ubuntu.com trusty-updates/restricted Translation-en [4'024 B]
Réception de : 27 http://ch.archive.ubuntu.com trusty-updates/universe Translation-en [241 kB]
Atteint http://ch.archive.ubuntu.com trusty-backports/main Sources  
Atteint http://ch.archive.ubuntu.com trusty-backports/restricted Sources
Atteint http://ch.archive.ubuntu.com trusty-backports/universe Sources
Atteint http://ch.archive.ubuntu.com trusty-backports/multiverse Sources
Atteint http://ch.archive.ubuntu.com trusty-backports/main i386 Packages       
Atteint http://ch.archive.ubuntu.com trusty-backports/restricted i386 Packages 
Atteint http://ch.archive.ubuntu.com trusty-backports/universe i386 Packages   
Atteint http://ch.archive.ubuntu.com trusty-backports/multiverse i386 Packages 
Atteint http://ch.archive.ubuntu.com trusty-backports/main Translation-en      
Atteint http://ch.archive.ubuntu.com trusty-backports/multiverse Translation-en
Atteint http://ch.archive.ubuntu.com trusty-backports/restricted Translation-en
Atteint http://ch.archive.ubuntu.com trusty-backports/universe Translation-en  
Atteint http://ch.archive.ubuntu.com trusty Release           
Atteint http://ch.archive.ubuntu.com trusty/main Sources      
Atteint http://ch.archive.ubuntu.com trusty/restricted Sources
Atteint http://ch.archive.ubuntu.com trusty/universe Sources
Atteint http://ch.archive.ubuntu.com trusty/multiverse Sources
Atteint http://ch.archive.ubuntu.com trusty/main i386 Packages
Atteint http://ch.archive.ubuntu.com trusty/restricted i386 Packages
Atteint http://ch.archive.ubuntu.com trusty/universe i386 Packages
Atteint http://ch.archive.ubuntu.com trusty/multiverse i386 Packages
Atteint http://ch.archive.ubuntu.com trusty/main Translation-fr
Atteint http://ch.archive.ubuntu.com trusty/main Translation-en_GB
Atteint http://ch.archive.ubuntu.com trusty/main Translation-en
Atteint http://ch.archive.ubuntu.com trusty/multiverse Translation-fr
Atteint http://ch.archive.ubuntu.com trusty/multiverse Translation-en_GB       
Atteint http://ch.archive.ubuntu.com trusty/multiverse Translation-en          
Atteint http://ch.archive.ubuntu.com trusty/restricted Translation-fr          
Atteint http://ch.archive.ubuntu.com trusty/restricted Translation-en_GB       
Atteint http://ch.archive.ubuntu.com trusty/restricted Translation-en          
Atteint http://ch.archive.ubuntu.com trusty/universe Translation-fr            
Atteint http://ch.archive.ubuntu.com trusty/universe Translation-en_GB         
Atteint http://ch.archive.ubuntu.com trusty/universe Translation-en            
Ign http://ch.archive.ubuntu.com trusty/main Translation-fr_FR                 
Ign http://ch.archive.ubuntu.com trusty/multiverse Translation-fr_FR           
Ign http://ch.archive.ubuntu.com trusty/restricted Translation-fr_FR           
Ign http://ch.archive.ubuntu.com trusty/universe Translation-fr_FR             
4'627 ko réceptionnés en 10s (425 ko/s)                                        
Lecture des listes de paquets... Fait

et

therence@therence-P5QL-PRO:~$ sudo apt-get dist-upgrade
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Calcul de la mise à jour... Fait
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  account-plugin-windows-live libllvm3.5 libntdb1 libupstart1
  linux-headers-3.16.0-30 linux-headers-3.16.0-30-generic
  linux-image-3.16.0-30-generic linux-image-extra-3.16.0-30-generic
  python-ntdb
Veuillez utiliser « apt-get autoremove » pour les supprimer.
Les NOUVEAUX paquets suivants seront installés :
  linux-headers-4.4.0-116 linux-headers-4.4.0-116-generic
  linux-image-4.4.0-116-generic linux-image-extra-4.4.0-116-generic
Les paquets suivants seront mis à jour :
  fonts-opensymbol libreoffice-avmedia-backend-gstreamer libreoffice-base-core
  libreoffice-calc libreoffice-common libreoffice-core libreoffice-draw
  libreoffice-gnome libreoffice-gtk libreoffice-impress libreoffice-math
  libreoffice-ogltrans libreoffice-pdfimport
  libreoffice-presentation-minimizer libreoffice-style-human
  libreoffice-writer linux-generic-lts-xenial linux-headers-generic-lts-xenial
  linux-image-generic-lts-xenial uno-libs3 ure
21 mis à jour, 4 nouvellement installés, 0 à enlever et 0 non mis à jour.
Il est nécessaire de prendre 138 Mo dans les archives.
Après cette opération, 249 Mo d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer ? [O/n] 

Je n'ai pas fait la MàJ car j'attends tes consignes wink

Et oui sous Trusty je peux utiliser fglrx c'est d'ailleurs pour cette raison que je ne fais pas la mise à niveau wink

Dernière modification par manukatche (Le 21/02/2018, à 23:42)

Hors ligne

#6 Le 21/02/2018, à 23:56

Naziel

Re : Remplacer pilote libre par pilote propriétaire ( carte graphique )

Bonjour,

Juste pour info: effectivement, à partir d'ubuntu 16.04, il n'y a plus de pilote propriétaire, et on a l'impression que le pilote libre est nul parce que par défaut c'est pas la carte graphique qui est utilisée (ouais c'est stupide mais ça fait de sacrés économies d'énergie). Il faut précéder les commandes qui utilisent la carte graphique par DRI_PRIME=1. Après, pour la résolution, je sais pas.

Dernière modification par Naziel (Le 21/02/2018, à 23:57)

Hors ligne

#7 Le 21/02/2018, à 23:56

Korak

Re : Remplacer pilote libre par pilote propriétaire ( carte graphique )

Bonjour,

Donne le retour complet de la commande :

uname -a

OS: Ubuntu 16.04 64 bits + Windows 10 64 bits en dualboot (BIOS UEFI, Secure Boot activé et table de partitions GPT)
PC portable HP Pavilion 17-f055nb: Processeur: AMD A8-6410 APU   Cartes graphiques: AMD Radeon R5 + R7   Mémoire vive: 12 Go RAM
Je suis Parrain-Linux

Hors ligne

#8 Le 22/02/2018, à 00:35

manukatche

Re : Remplacer pilote libre par pilote propriétaire ( carte graphique )

Bonjour Naziel

ok merci pour l'info wink et concrètement comment on ajoute la ligne de code qui permet de passer sur la carte graphique ? Car effectivement sur Ubuntu 16.04 le pilote libre pilote le chipset vidéo de la carte mère ( 256 Mo ). Après faut voir pour la résolution il me faut du légèrement plus petit que 1920*1080 (16:9) je n'ai plus la résolution exacte mais elle est proposée par Catalyst ( du 1700* qquechose un truc dans le genre).

Bonjour Korak

voici le retour de commande :

therence@therence-P5QL-PRO:~$ uname -a
Linux therence-P5QL-PRO 4.4.0-112-generic #135~14.04.1-Ubuntu SMP Tue Jan 23 20:41:10 UTC 2018 i686 i686 i686 GNU/Linux

Dernière modification par manukatche (Le 22/02/2018, à 00:59)

Hors ligne

#9 Le 22/02/2018, à 00:40

Korak

Re : Remplacer pilote libre par pilote propriétaire ( carte graphique )

Le noyau 4.4.0 est celui utilisé par ..... Ubuntu 16.04.

Serait-ce à cause de ce noyau (et de se qui tourne autour ou dedans) que tu ne sais plus utiliser les pilotes graphiques propriétaires AMD (Catalyst) ?


OS: Ubuntu 16.04 64 bits + Windows 10 64 bits en dualboot (BIOS UEFI, Secure Boot activé et table de partitions GPT)
PC portable HP Pavilion 17-f055nb: Processeur: AMD A8-6410 APU   Cartes graphiques: AMD Radeon R5 + R7   Mémoire vive: 12 Go RAM
Je suis Parrain-Linux

Hors ligne

#10 Le 22/02/2018, à 00:46

manukatche

Re : Remplacer pilote libre par pilote propriétaire ( carte graphique )

Je sais utiliser le pilote Catalyst mais je ne sais pas le réinstaller suite à la dernière MàJ nuance wink

Donc en gros j'ai maintenant un 16.04 déguisé en 14.04? Fait chier je voulais absolument éviter cette version d'Ubuntu...

Je dois donc réinstaller Trusty 14.04 et désactiver toutes les MàJ?

Hors ligne

#11 Le 22/02/2018, à 01:01

Korak

Re : Remplacer pilote libre par pilote propriétaire ( carte graphique )

manukatche a écrit :

Je sais utiliser le pilote Catalyst mais je ne sais pas le réinstaller suite à la dernière MàJ nuance wink

Si tu sais l'utiliser, pas besoin de le réinstaller. wink

Plus sérieusement, concernant le nouveau noyau 4.4.0 (et de se qui tourne autour ou dedans comme le serveur graphique), il me semble que c'est râpé.

manukatche a écrit :

Donc en gros j'ai maintenant un 16.04 déguisé en 14.04?

On dirait ...

manukatche a écrit :

Fait chier je voulais absolument éviter cette version d'Ubuntu...

Je sais, nous en avons parlé dans une autre discussion.

manukatche a écrit :

Je dois donc réinstaller Trusty 14.04 et désactiver toutes les MàJ?

Commence par essayer de démarrer Ubuntu 14.04 sur un ancien noyau. Le 3.19 si mes souvenirs sont bons. Avec un peu de chance, les pilotes graphiques propriétaires AMD (Catalyst) voudront bien fonctionner.


OS: Ubuntu 16.04 64 bits + Windows 10 64 bits en dualboot (BIOS UEFI, Secure Boot activé et table de partitions GPT)
PC portable HP Pavilion 17-f055nb: Processeur: AMD A8-6410 APU   Cartes graphiques: AMD Radeon R5 + R7   Mémoire vive: 12 Go RAM
Je suis Parrain-Linux

Hors ligne

#12 Le 22/02/2018, à 01:10

manukatche

Re : Remplacer pilote libre par pilote propriétaire ( carte graphique )

Korak a écrit :
manukatche a écrit :

Je dois donc réinstaller Trusty 14.04 et désactiver toutes les MàJ?

Commence par essayer de démarrer Ubuntu 14.04 sur un ancien noyau. Le 3.19 si mes souvenirs sont bons. Avec un peu de chance, les pilotes graphiques propriétaires AMD (Catalyst) voudront bien fonctionner.

Oué je veux bien essayer de démarrer sur l'ancien noyau je regarde comment on fait à moins que tu veuilles bien me donner la recette sur un plateau ? roll

Une fois ceci fait il faudra sûrement mettre à jour les dépendances pour les rendre compatible avec l'ancien noyau? Auquel cas je dois faire attention à ne pas réinstaller le noyau de la 16.04 ... neutral

Dernière modification par manukatche (Le 22/02/2018, à 01:17)

Hors ligne

#13 Le 22/02/2018, à 01:20

Korak

Re : Remplacer pilote libre par pilote propriétaire ( carte graphique )

manukatche a écrit :

Oué je veux bien essayer de démarrer sur l'ancien noyau je regarde comment on fait à moins que tu veuilles bien me donner la recette sur un plateau ? roll

Dans le menu de grub, options avancées (deuxième ligne) puis le noyau 3.13.x-y le plus récent avec lequel les pilotes graphiques propriétaires AMD (Catalyst) fonctionnent.

Si le menu de grub n’apparaît pas au démarrage du PC, appuie sur la touche Esc ou la barre d'espace (je ne sais plus trop) pour le faire apparaître.

manukatche a écrit :

Une fois ceci fait il faudra sûrement mettre à jour les dépendances pour les rendre compatible avec l'ancien noyau?

Pas certain, les paramètres pour ce noyau ont normalement été conservés.

manukatche a écrit :

Auquel cas je dois faire attention à ne pas réinstaller le noyau de la 16.04 ... neutral

Oui, en bloquant la mise-à-jour du noyau vers un noyau autre que 3.13. Mais ça, je ne sais pas comment faire. Regarde dans la doc.

Le mieux serait peut-être de réinstaller Ubuntu 14.04 ou 14.04.1 (et pas 14.04.2, .3 ou .autrechose) pour ne plus avoir de problème avec le HWE !!!

Voir le tableau ci-dessous :

erbn.png

Dernière modification par Korak (Le 22/02/2018, à 01:40)


OS: Ubuntu 16.04 64 bits + Windows 10 64 bits en dualboot (BIOS UEFI, Secure Boot activé et table de partitions GPT)
PC portable HP Pavilion 17-f055nb: Processeur: AMD A8-6410 APU   Cartes graphiques: AMD Radeon R5 + R7   Mémoire vive: 12 Go RAM
Je suis Parrain-Linux

Hors ligne

#14 Le 22/02/2018, à 02:01

manukatche

Re : Remplacer pilote libre par pilote propriétaire ( carte graphique )

Oulà... bon je vais d'abord assimiler ce qui est dit dans le lien que tu m'as donné sur le HWE.

Cela va me prendre du temps je reviens demain sur ce post pour vous donner des nouvelles.

Merci Korak pour ton intervention wink

Hors ligne